justcaptcha ver. 1.0
====================

A simple CAPTCHA service implementation.

## API

### Get a new captcha

    GET /

It will return an ID of a new captcha in plaintext.

#### HTTP codes
- 200 if created

### Get an image for a captcha

    GET /:captcha_id/image

Responds with an image (e.g. in PNG format).

#### HTTP codes
- 200 if exists
- 404 if doesn't exist

### Submit an answer

    POST /:captcha_id

It takes one form-data parameter `answer=123456`.

Responds with empty body and one of HTTP codes.

#### HTTP codes
- 200 if solved
- 403 if not solved
- 404 if doesn't exist

### Check if captcha is solved

    GET /:captcha_id

Responds with empty body and one of HTTP codes.

#### HTTP codes
- 200 if solved
- 403 if not solved
- 404 if doesn't exist